#ifndef COMMONTHREAD_H
#define COMMONTHREAD_H

#include <iostream>
#include <vector>
#include <sstream>

//#include <cc++/thread.h>
#include <boost/thread.hpp>
#include <boost/shared_ptr.hpp>
#include <boost/bind.hpp>

#include "Element.h"
#include "SimpleQueue.h"

using namespace std;
//using namespace ost;
using namespace boost;


typedef shared_ptr<SimpleQueue1> SimpleQueuePtr;
typedef shared_ptr<Element> ElementPtr;

class CommonThread {
	 
public:
	CommonThread(SimpleQueuePtr queue);
	
	SimpleQueuePtr queue;
	void operator()();
};

#endif // COMMONTHREAD_H
