#ifndef SIMPLEQUEUE_H
#define SIMPLEQUEUE_H

#include <iostream>
#include <vector>
#include <sstream>

#include <boost/shared_ptr.hpp>
#include <boost/thread/mutex.hpp>

#include "Element.h"

using namespace std;
using namespace boost;

typedef shared_ptr<Element> ElementPtr;

class SimpleQueue1 {
	
private:
	ElementPtr retElem;
	vector <ElementPtr> queue;
	vector<ElementPtr>::iterator iter;
	
public:
	boost::mutex mutex;
	SimpleQueue1();
	virtual ~SimpleQueue1();
	ElementPtr pop();
	void add(ElementPtr msg);
};

#endif // SIMPLEQUEUE_H
